<template>
  <router-view />
</template>

<script setup lang="ts">
import useSettingsStore from "@/store/modules/settings";
import useMenuStore from "@/store/modules/menu"; //菜单
import { handleThemeStyle, handleMenuStyle, handleFontStyle } from "@/utils/theme";
// import { webSockHelper, useType } from "@/plugins/webSockHelper";
// import useUserStore from "@/store/modules/user";
// const userStore = useUserStore();
// const { userId } = toRefs(userStore);
// let websock = new webSockHelper(useType.LCON, "192.168.1.126:8089", userStore.userId);
onMounted(() => {
  // console.log("---------->", userId);

  // console.log("=========>", websock);

  nextTick(() => {
    // let userid = useUserStore().userId;
    // console.log("userStore.userId==>admin", userid);
    // 初始化主题样式
    handleThemeStyle(useSettingsStore().theme);
    //初始化菜单主题样式
    handleMenuStyle(useMenuStore().menuColors);
    //初始化字体
    handleFontStyle(useSettingsStore().font);
  });
});
</script>
<style>
/* ---滚动条公共样式--- */

/*定义滚动条高宽及背景 高宽分别对应横竖滚动条的尺寸*/
::-webkit-scrollbar {
  width: 6px;
  height: 8px;
}

/*定义滚动条轨道 内阴影+圆角*/
::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 0 rgba(0, 0, 0, 0); /*轨道阴影*/
  border-radius: 0px; /*轨道背景区域的圆角*/
  background-color: transparent; /*轨道的背景颜色*/
}

/*定义滑块 内阴影+圆角*/
::-webkit-scrollbar-thumb {
  border-radius: 4px; /*滑块圆角*/
  -webkit-box-shadow: 0 0 6px rgba(0, 0, 0, 0.15); /*滑块外阴影*/
  background-color: rgb(180, 184, 185, 0.6); /*滑块背景颜色*/
}
</style>
